#
# spec file for package shared-mime-info (Version 0.17)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale gnome-filesystem gnome-patch-translation gpm grep groff gzip info insserv intltool klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-XML-Parser permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           shared-mime-info
BuildRequires:  glib2-devel gnome-patch-translation intltool libxml2-devel perl-XML-Parser
Version:        0.17
Release:        9.6
Url:            http://freedesktop.org/wiki/Software/shared-mime-info
Group:          System/X11/Utilities
License:        GPL v2 or later
Summary:        Shared MIME Database
Source:         %{name}-%{version}.tar.bz2
Source1:        mime-info-to-mime
Patch:          shared-mime-info-nb.patch
Patch2:         wmv.patch
Patch3:         da.patch
Patch4:         typos.patch
Patch6:         shared-mime-info-wma.patch
Patch7:         shared-mime-info-csrc.patch
Patch8:         shared-mime-info-wpd.patch
AutoReqProv:    on
# needed by mime-info-to-mime:
Requires:       /bin/rm /bin/mkdir /usr/bin/fgrep
# needed by update-mime-database
PreReq:         libxml2 glib2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains: - The freedesktop.org shared MIME database
   spec.

- The merged GNOME and KDE databases, in the new format.

- The update-mime-database command, used to install new MIME data.



Authors:
--------
    Thomas Leonard <tal00r@ecs.soton.ac.uk>

%debug_package
%prep
%setup
gnome-patch-translation-prepare
%patch2
%patch3
%patch4
%patch
%patch6
%patch7
%patch8
gnome-patch-translation-update
rm po/no.*

%build
export CFLAGS="$RPM_OPT_FLAGS"
autoconf
./configure\
	--prefix=/usr\
	--libdir=/usr/%{_lib}\
	--mandir=/usr/share/man
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install %{S:1} $RPM_BUILD_ROOT/usr/bin
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
usr/bin/update-mime-database usr/share/mime >/dev/null

%files -f %{name}.lang
%defattr (-, root, root)
%doc COPYING ChangeLog NEWS README
/usr/bin/*
/usr/share/man/man?/*.*
/usr/share/mime/packages/*.xml
%ghost /usr/share/mime/[a-ms-vX]*
/usr/%{_lib}/pkgconfig/*.pc

%changelog
* Wed Aug 22 2007 - sbrabec@suse.cz
- Recognize all common WordPerfect suffixes (#256028).
* Tue Apr 25 2006 - sbrabec@suse.cz
- Fixed C* source code MIME type conflicts (#168763).
* Wed Mar 15 2006 - sbrabec@suse.cz
- Updated to a 0.17 release.
- Use sub-class-of instead of alias for wma and wmv (156207#c10).
- Support for gnome-patch-translation.
* Thu Mar 09 2006 - jpr@suse.de
- Update to cvs version to be more fine grained about wma, wmv, and
  ogg (#156210 and #156207)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Dec 08 2005 - sbrabec@suse.cz
- Directories /usr/share/mime and /usr/share/mime/packages are now
  owned by filesystem.
* Mon Sep 12 2005 - clahey@suse.de
- Add docbook mime info entry (116605).
* Tue Mar 29 2005 - sbrabec@suse.cz
- Fixed WMV files and typos.
  http://bugs.freedesktop.org/show_bug.cgi?id=2051
- Added missing Danish from CVS.
* Tue Mar 29 2005 - sbrabec@suse.cz
- Updated to version 0.16.
* Mon Mar 21 2005 - sbrabec@suse.cz
- Updated to CVS version (#72797).
* Mon Feb 21 2005 - sbrabec@suse.cz
- Updated to version 0.15.
* Tue Oct 19 2004 - ro@suse.de
- locale rename: no -> nb
* Mon Sep 20 2004 - ro@suse.de
- added missing prereq for update-mime-database
  which is called in postinstall
* Thu Sep 09 2004 - sbrabec@suse.cz
- Fixed execute flag for mime-info-to-mime.
* Tue Sep 07 2004 - sbrabec@suse.cz
- Added script mime-info-to-mime for conversion of GNOME mime-info to
  shared-mime-info.
* Mon May 17 2004 - sbrabec@suse.cz
- New SuSE package, version 0.14.
